@import "base.css";

@media (prefers-color-scheme: dark) {
    :root {
        --default-mode: dark;
        --c-default-background: var(--vt-c-black);
        --c-default-background-soft: var(--vt-c-black-soft);
        --c-default-background-mute: var(--vt-c-black-mute);
        --c-default-border: var(--vt-c-divider-dark-2);
        --c-default-border-hover: var(--vt-c-divider-dark-1);
        --c-default-heading: var(--vt-c-text-dark-1);
        --c-default-text: var(--vt-c-text-dark-2);
        --c-default-hilite-text: var(--vt-c-text-dark-3);
        --c-default-link: #2092ec;
        --c-default-link-visited: #3f51b5;
        --c-default-link-active: #d32f2f;

        /* more colors here... */
    }
}

@media (prefers-color-scheme: light) {
    :root {
        --default-mode: lite;
        --c-default-background: var(--vt-c-white);
        --c-default-background-soft: var(--vt-c-white-soft);
        --c-default-background-mute: var(--vt-c-white-mute);
        --c-default-border: var(--vt-c-divider-light-2);
        --c-default-border-hover: var(--vt-c-divider-light-1);
        --c-default-heading: var(--vt-c-text-light-1);
        --c-default-text: var(--vt-c-text-light-2);
        --c-default-hilite-text: var(--vt-c-text-light-3);
        --c-default-link: #2092ec;
        --c-default-link-visited: #3f51b5;
        --c-default-link-active: #d32f2f;

        /* more colors here... */
    }
}